i2o_scsi_queuecommand
Prev | I2O message devices | Next

## Name

i2o_scsi_queuecommand — queue a SCSI command

## Synopsis

`int i2o_scsi_queuecommand (` | struct scsi_cmnd * | SCpnt,
| void (* | done`(`struct scsi_cmnd *`)``)`;

## Arguments

`SCpnt`

  scsi command pointer

`done`

  callback for completion

## Description

Issue a scsi command asynchronously. Return 0 on success or 1 if we hit an error (normally message queue congestion). The only minor complication here is that I2O deals with the device addressing so we have to map the bus/dev/lun back to an I2O handle as well as faking absent devices ourself.

## Locks

takes the controller lock on error path only

Prev | Up | Next
i2o_scsi_notify_controller_remove | Home | i2o_scsi_abort